Debian Bug report logs - #378427
RM: bluez-pin -- RoQA; superseded by bluez-utils

Package: ftp.debian.org; Maintainer for ftp.debian.org is Debian FTP Master <ftpmaster@ftp-master.debian.org>;

Reported by: Marc 'HE' Brockschmidt <he@debian.org>

Date: Sun, 16 Jul 2006 10:33:07 UTC

Severity: wishlist

Done: Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Phil Blundell <pb@debian.org>:
Bug#378427; Package bluez-pin. Full text and rfc822 format available.

Acknowledgement sent to Marc 'HE' Brockschmidt <he@debian.org>:
New Bug report received and forwarded. Copy sent to Phil Blundell <pb@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Marc 'HE' Brockschmidt <he@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: needs to be updated to libbluetooth2
Date: Sun, 16 Jul 2006 12:19:34 +0200
Package: bluez-pin
Severity: grave

Heya,

bluez-pin still depends on libbluetooth1. You will need to update your
build-dep to libbluetooth2-dev and then do another maintainer upload.
Please do this in the near future, bluez-pin is holding up the transition
of the bluez* packages to testing (which are in turn blocking kdepim
and kdebluetooth).

Thanks,
Marc



Information forwarded to debian-bugs-dist@lists.debian.org, Phil Blundell <pb@debian.org>:
Bug#378427; Package bluez-pin. Full text and rfc822 format available.

Acknowledgement sent to Filippo Giunchedi <filippo@debian.org>:
Extra info received and forwarded to list. Copy sent to Phil Blundell <pb@debian.org>. Full text and rfc822 format available.

Message #10 received at 378427@bugs.debian.org (full text, mbox):

From: Filippo Giunchedi <filippo@debian.org>
To: Marc 'HE' Brockschmidt <he@debian.org>, 378427@bugs.debian.org
Subject: Re: Bug#378427: needs to be updated to libbluetooth2
Date: Sun, 16 Jul 2006 13:03:03 +0200
[Message part 1 (text/plain, inline)]
On Sun, Jul 16, 2006 at 12:19:34PM +0200, Marc 'HE' Brockschmidt wrote:
> Package: bluez-pin
> Severity: grave
> 
> Heya,
> 
> bluez-pin still depends on libbluetooth1. You will need to update your
> build-dep to libbluetooth2-dev and then do another maintainer upload.
> Please do this in the near future, bluez-pin is holding up the transition
> of the bluez* packages to testing (which are in turn blocking kdepim
> and kdebluetooth).

note also that with the latest release of bluez pin requests are handled via
dbus and a pin helper is no longer required. It is now called passkey agent and
must register via dbus. This makes bluez-pin obsolete, I'm going to drop it from
bluetooth-desktop Depends in the next upload.

filippo
--
Filippo Giunchedi - http://esaurito.net
PGP key: 0x6B79D401
random quote follows:

yeah, that would be smart, except that it's not.
-- Josip Rodin
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Phil Blundell <pb@debian.org>:
Bug#378427; Package bluez-pin. Full text and rfc822 format available.

Acknowledgement sent to Marc 'HE' Brockschmidt <marc@marcbrockschmidt.de>:
Extra info received and forwarded to list. Copy sent to Phil Blundell <pb@debian.org>. Full text and rfc822 format available.

Message #15 received at 378427@bugs.debian.org (full text, mbox):

From: Marc 'HE' Brockschmidt <marc@marcbrockschmidt.de>
To: Filippo Giunchedi <filippo@debian.org>
Cc: 378427@bugs.debian.org
Subject: Re: Bug#378427: needs to be updated to libbluetooth2
Date: Sun, 16 Jul 2006 19:45:30 +0200
[Message part 1 (text/plain, inline)]
Filippo Giunchedi <filippo@debian.org> writes:
> On Sun, Jul 16, 2006 at 12:19:34PM +0200, Marc 'HE' Brockschmidt wrote:
>> bluez-pin still depends on libbluetooth1. You will need to update your
>> build-dep to libbluetooth2-dev and then do another maintainer upload.
>> Please do this in the near future, bluez-pin is holding up the transition
>> of the bluez* packages to testing (which are in turn blocking kdepim
>> and kdebluetooth).
> note also that with the latest release of bluez pin requests are handled via
> dbus and a pin helper is no longer required. It is now called passkey agent and
> must register via dbus. This makes bluez-pin obsolete, I'm going to drop it from
> bluetooth-desktop Depends in the next upload.

Oh, I didn't know that - could you upload reasonably fast, so that this
whole transition can start to move on?

Marc
-- 
Fachbegriffe der Informatik - Einfach erklärt
259: Hardwall
       Einpflegen der Filterregeln und Updates mittels Lötkolben.
       (Ulrich Eckhardt)
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Phil Blundell <pb@debian.org>:
Bug#378427; Package bluez-pin. Full text and rfc822 format available.

Acknowledgement sent to Filippo Giunchedi <filippo@debian.org>:
Extra info received and forwarded to list. Copy sent to Phil Blundell <pb@debian.org>. Full text and rfc822 format available.

Message #20 received at 378427@bugs.debian.org (full text, mbox):

From: Filippo Giunchedi <filippo@debian.org>
To: Marc 'HE' Brockschmidt <marc@marcbrockschmidt.de>
Cc: 378427@bugs.debian.org
Subject: Re: Bug#378427: needs to be updated to libbluetooth2
Date: Mon, 17 Jul 2006 18:30:09 +0200
[Message part 1 (text/plain, inline)]
On Sun, Jul 16, 2006 at 07:45:30PM +0200, Marc 'HE' Brockschmidt wrote:
> Oh, I didn't know that - could you upload reasonably fast, so that this
> whole transition can start to move on?

done, bluez-utils 3.1-2 is on its way to archive...

filippo
--
Filippo Giunchedi - http://esaurito.net
PGP key: 0x6B79D401
random quote follows:

UNIX IS user friendly, it is just selective who his friends are.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Phil Blundell <pb@debian.org>:
Bug#378427; Package bluez-pin. Full text and rfc822 format available.

Acknowledgement sent to Adeodato Simó <dato@net.com.org.es>:
Extra info received and forwarded to list. Copy sent to Phil Blundell <pb@debian.org>. Full text and rfc822 format available.

Message #25 received at 378427@bugs.debian.org (full text, mbox):

From: Adeodato Simó <dato@net.com.org.es>
To: Filippo Giunchedi <filippo@debian.org>, 378427@bugs.debian.org
Cc: Marc 'HE' Brockschmidt <he@debian.org>
Subject: Re: Bug#378427: needs to be updated to libbluetooth2
Date: Sat, 22 Jul 2006 05:32:39 +0200
* Filippo Giunchedi [Sun, 16 Jul 2006 13:03:03 +0200]:

Hey Filippo :)

> On Sun, Jul 16, 2006 at 12:19:34PM +0200, Marc 'HE' Brockschmidt wrote:
> > Package: bluez-pin
> > Severity: grave

> > Heya,

> > bluez-pin still depends on libbluetooth1. You will need to update your
> > build-dep to libbluetooth2-dev and then do another maintainer upload.
> > Please do this in the near future, bluez-pin is holding up the transition
> > of the bluez* packages to testing (which are in turn blocking kdepim
> > and kdebluetooth).

> note also that with the latest release of bluez pin requests are handled via
> dbus and a pin helper is no longer required. It is now called passkey agent and
> must register via dbus. This makes bluez-pin obsolete, I'm going to drop it from
> bluetooth-desktop Depends in the next upload.

Does this mean that it is ok to make bluez-pin disappear from testing
at the same time that the new bluetooth-desktop (and all the
libbluetooth2 crew) enter testing, or it could be still useful to
somebody if rebuilt against libbluetooth2?

Just asking to leave trail in the bug log about whether this bug is
worth NMUing or not.

Thanks,

-- 
Adeodato Simó                                     dato at net.com.org.es
Debian Developer                                  adeodato at debian.org
 
Don't worry about what anybody else is going to do. The best way to
predict the future is to invent it.
                -- Alan Kay




Information forwarded to debian-bugs-dist@lists.debian.org, Phil Blundell <pb@debian.org>:
Bug#378427; Package bluez-pin. Full text and rfc822 format available.

Acknowledgement sent to Filippo Giunchedi <filippo@debian.org>:
Extra info received and forwarded to list. Copy sent to Phil Blundell <pb@debian.org>. Full text and rfc822 format available.

Message #30 received at 378427@bugs.debian.org (full text, mbox):

From: Filippo Giunchedi <filippo@debian.org>
To: Adeodato Simó <dato@net.com.org.es>
Cc: 378427@bugs.debian.org, Marc 'HE' Brockschmidt <he@debian.org>
Subject: Re: Bug#378427: needs to be updated to libbluetooth2
Date: Sat, 22 Jul 2006 10:40:29 +0200
[Message part 1 (text/plain, inline)]
Hi Dato!

On Sat, Jul 22, 2006 at 05:32:39AM +0200, Adeodato Simó wrote:
> > note also that with the latest release of bluez pin requests are handled via
> > dbus and a pin helper is no longer required. It is now called passkey agent and
> > must register via dbus. This makes bluez-pin obsolete, I'm going to drop it from
> > bluetooth-desktop Depends in the next upload.
> 
> Does this mean that it is ok to make bluez-pin disappear from testing
> at the same time that the new bluetooth-desktop (and all the
> libbluetooth2 crew) enter testing, or it could be still useful to
> somebody if rebuilt against libbluetooth2?

IMO it could be dropped, or upstream might be interested in changing bluez-pin
to listen to dbus and react to outgoing pin requests.

filippo
--
Filippo Giunchedi - http://esaurito.net
PGP key: 0x6B79D401
random quote follows:

"UNIX was not designed to stop its users from doing stupid things, as that would
also stop them from doing clever things."
-- Doug Gwyn
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Phil Blundell <pb@debian.org>:
Bug#378427; Package bluez-pin. Full text and rfc822 format available.

Acknowledgement sent to Jérôme Marant <jerome@marant.org>:
Extra info received and forwarded to list. Copy sent to Phil Blundell <pb@debian.org>. Full text and rfc822 format available.

Message #35 received at 378427@bugs.debian.org (full text, mbox):

From: Jérôme Marant <jerome@marant.org>
To: Filippo Giunchedi <filippo@debian.org>
Cc: 378427@bugs.debian.org, Marc 'HE' Brockschmidt <he@debian.org>
Subject: Re: Bug#378427: needs to be updated to libbluetooth2
Date: Fri, 29 Sep 2006 22:01:33 +0200
Hi,

Is anyone taking care of this?

Thanks.

-- 
Jérôme Marant



Information forwarded to debian-bugs-dist@lists.debian.org, Phil Blundell <pb@debian.org>:
Bug#378427; Package bluez-pin. Full text and rfc822 format available.

Acknowledgement sent to Filippo Giunchedi <filippo@debian.org>:
Extra info received and forwarded to list. Copy sent to Phil Blundell <pb@debian.org>. Full text and rfc822 format available.

Message #40 received at 378427@bugs.debian.org (full text, mbox):

From: Filippo Giunchedi <filippo@debian.org>
To: JJJrrrme Marant <jerome@marant.org>
Cc: 378427@bugs.debian.org, Marc 'HE' Brockschmidt <he@debian.org>
Subject: removal of bluez-pin? (was Re: Bug#378427: needs to be updated to libbluetooth2)
Date: Sat, 30 Sep 2006 23:28:16 +0200
On Fri, Sep 29, 2006 at 10:01:33PM +0200, JJJrrrme Marant wrote:
> 
> Hi,
> 
> Is anyone taking care of this?

bluez-pin is now obsoleted by the new bluez (>=3.x) which uses a dbus interface
to request pin. See my ITP for bluez-gnome which is going to provide a
replacement.

bluez-pin should be removed from unstable.

filippo



Information forwarded to debian-bugs-dist@lists.debian.org, Phil Blundell <pb@debian.org>:
Bug#378427; Package bluez-pin. Full text and rfc822 format available.

Acknowledgement sent to Jérôme Marant <jerome@marant.org>:
Extra info received and forwarded to list. Copy sent to Phil Blundell <pb@debian.org>. Full text and rfc822 format available.

Message #45 received at 378427@bugs.debian.org (full text, mbox):

From: Jérôme Marant <jerome@marant.org>
To: Filippo Giunchedi <filippo@debian.org>
Cc: 378427@bugs.debian.org, Marc 'HE' Brockschmidt <he@debian.org>
Subject: Re: removal of bluez-pin? (was Re: Bug#378427: needs to be updated to libbluetooth2)
Date: Mon, 2 Oct 2006 19:52:45 +0200
Le samedi 30 septembre 2006 23:28, Filippo Giunchedi a écrit :
> On Fri, Sep 29, 2006 at 10:01:33PM +0200, JJJrrrme Marant wrote:
> > Hi,
> >
> > Is anyone taking care of this?
>
> bluez-pin is now obsoleted by the new bluez (>=3.x) which uses a dbus
> interface to request pin. See my ITP for bluez-gnome which is going to
> provide a replacement.
>
> bluez-pin should be removed from unstable.

Thanks.

-- 
Jérôme Marant



Bug reassigned from package `bluez-pin' to `ftp.debian.org'. Request was from martin f krafft <madduck@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Changed Bug title. Request was from martin f krafft <madduck@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Severity set to `wishlist' from `grave' Request was from martin f krafft <madduck@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information stored:
Bug#378427; Package ftp.debian.org. Full text and rfc822 format available.

Message #54 received at 378427-quiet@bugs.debian.org (full text, mbox):

From: martin f krafft <madduck@debian.org>
To: Marc 'HE' Brockschmidt <he@debian.org>, Filippo Giunchedi <filippo@debian.org>, Adeodato Simó <dato@net.com.org.es>, Jérôme Marant <jerome@marant.org>
Cc: 378427-quiet@bugs.debian.org
Subject: Re: needs to be updated to libbluetooth2
Date: Wed, 15 Nov 2006 11:29:09 +0100
[Message part 1 (text/plain, inline)]
reassign 378427 ftp.debian.org
retitle 378427 please remove bluez-pin from sid
severity 378427 wishlist
thanks

also sprach Marc 'HE' Brockschmidt <he@debian.org> [2006.07.16.1219 +0200]:
> bluez-pin is now obsoleted by the new bluez (>=3.x) which uses a dbus interface
> to request pin. See my ITP for bluez-gnome which is going to provide a
> replacement.
> 
> bluez-pin should be removed from unstable.

Thus requesting the removal. bluez-pin has been superseeded.

-- 
 .''`.   martin f. krafft <madduck@debian.org>
: :'  :  proud Debian developer, author, administrator, and user
`. `'`   http://people.debian.org/~madduck - http://debiansystem.info
  `-  Debian - when you have better things to do than fixing systems
[signature.asc (application/pgp-signature, inline)]

Changed Bug title. Request was from Adam D. Barratt <debian-bts@adam-barratt.org.uk> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Marc 'HE' Brockschmidt <he@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #61 received at 378427-close@bugs.debian.org (full text, mbox):

From: Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>
To: 378427-close@bugs.debian.org
Cc: bluez-pin@packages.debian.org, bluez-pin@packages.qa.debian.org
Subject: Bug#378427: fixed
Date: Fri, 08 Dec 2006 12:06:41 +0000
We believe that the bug you reported is now fixed; the following
package(s) have been removed from unstable:

 bluez-pin |   0.30-2.1 | source, alpha, amd64, arm, hppa, i386, ia64, m68k, mips, mipsel, powerpc, s390, sparc

Note that the package(s) have simply been removed from the tag
database and may (or may not) still be in the pool; this is not a bug.
The package(s) will be physically removed automatically when no suite
references them (and in the case of source, when no binary references
it).  Please also remember that the changes have been done on the
master archive (ftp-master.debian.org) and will not propagate to any
mirrors (ftp.debian.org included) until the next cron.daily run at the
earliest.

Packages are never removed from testing by hand.  Testing tracks
unstable and will automatically remove packages which were removed
from unstable when removing them from testing causes no dependency
problems.

Bugs which have been reported against this package are not automatically
removed from the Bug Tracking System.  Please check all open bugs and
close them or re-assign them to another package if the removed package
was superseded by another one.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 378427@bugs.debian.org.

This message was generated automatically; if you believe that there is
a problem with it please contact the archive administrators by mailing
ftpmaster@debian.org.

Debian distribution maintenance software
pp.
Jeroen van Wolffelaar (the ftpmaster behind the curtain)



Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 17 Jun 2007 21:02:52 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 00:23:53 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.